Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class Grails5535Factory

    java.lang.Object
      com.opensymphony.module.sitemesh.factory.BaseFactory
          org.codehaus.groovy.grails.web.sitemesh.Grails5535Factory

    @SuppressWarnings({"unchecked","rawtypes"})
    public class Grails5535Factory
    extends BaseFactory

TODO remove this once http://jira.opensymphony.com/browse/SIM-263 is fixed. Replaces `DefaultFactory` to fix http://jira.codehaus.org/browse/GRAILS-5535. There are two changes, both replacing toURL() with toURI().toURL().

Field Summary
`static long` | `configCheckMillis`

Constructor Summary
`Grails5535Factory(Config config)`

Method Summary
`void` | `refresh()` Check if configuration file has been modified, and if so reload it.

Field Detail

### configCheckMillis

    public static long configCheckMillis

Constructor Detail

### Grails5535Factory

    public Grails5535Factory(Config config)

Method Detail

### refresh

    @Override
    public void refresh()

  Check if configuration file has been modified, and if so reload it.

Groovy Documentation